%define pypi_name	pynose

Summary:	Unittest-based testing framework for Python
Name:		python-%{pypi_name}
Version:	1.5.3
Release:	%mkrel 5
License:	LGPLv2+
Group:		Development/Python
Url:		https://readthedocs.org/docs/nose/
Source0:	%{pypi_source}

BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description
nose extends the test loading and running features of unittest, making it easier
to write, find and run tests.

By default, nose will run tests in files or directories under the current
working directory whose names include "test" or "Test" at a word boundary (like
"test_this" or "functional_test" or "TestClass" but not "libtest"). Test output
is similar to that of unittest, but also includes captured stdout output from
failing tests, for easy print-style debugging.

These features, and many more, are customizable through the use of plugins.
Plugins included with nose provide support for doctest, code coverage and
profiling, flexible attribute-based test selection, output capture and more.

%package -n python3-%{pypi_name}
Summary:	Discovery-based unittest extension for Python 3
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	python3dist(setuptools)
Obsoletes:	python3-nose < 1.3.7-18
Obsoletes:	python-nose < 1.3.7-18
Provides:	python3-nose = %{version}-%{release}
Provides:	python3dist(nose) = %{version}-%{release}

%description -n python3-%{pypi_name}
nose extends the test loading and running features of unittest, making it easier
to write, find and run tests.

By default, nose will run tests in files or directories under the current
working directory whose names include "test" or "Test" at a word boundary (like
"test_this" or "functional_test" or "TestClass" but not "libtest"). Test output
is similar to that of unittest, but also includes captured stdout output from
failing tests, for easy print-style debugging.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
# (ovitters) python-arpy expects nodetests-3 to exist
ln -sf nosetests-%{python3_version} %{buildroot}%{_bindir}/nosetests-3
%pyproject_save_files nose


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS README.md
%license LICENSE
%{_bindir}/pynose
%{_bindir}/nosetests
%{_bindir}/nosetests-3


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.5.3-5.mga10
+ Revision: 2237094
- Mageia 10 Mass Rebuild

* Wed Feb 26 2025 daviddavid <daviddavid> 1.5.3-4.mga10
+ Revision: 2152678
- rebuild for python 3.13

* Tue Jan 28 2025 papoteur <papoteur> 1.5.3-3.mga10
+ Revision: 2142970
- provides python3dist(nose)

* Mon Jan 27 2025 daviddavid <daviddavid> 1.5.3-2.mga10
+ Revision: 2142822
- rename also the spec file as python-pynose

* Mon Jan 27 2025 papoteur <papoteur> 1.5.3-1.mga10
+ Revision: 2142790
- use pynose fork instead of nose
- update to 1.5.3
- replace nose with forked pynose

* Thu Dec 07 2023 wally <wally> 1.3.7-17.mga10
+ Revision: 2014783
- rebuild for py3.12
- fix build with python3 >= 3.11

* Wed Mar 23 2022 umeabot <umeabot> 1.3.7-16.mga9
+ Revision: 1822113
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.3.7-15.mga9
+ Revision: 1771891
- sync with Fedora where appropriate
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 1.3.7-14.mga9
+ Revision: 1702582
- rebuild for python 3.9

* Sat Apr 11 2020 ovitters <ovitters> 1.3.7-13.mga8
+ Revision: 1566393
- symlink binary to nosetests-3 to fix python-arpy build (matches Fedora)

* Sun Feb 16 2020 umeabot <umeabot> 1.3.7-12.mga8
+ Revision: 1530606
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 1.3.7-11.mga8
+ Revision: 1437154
- rebuild with new python-rpm-macros
- use python_provide

* Tue Sep 03 2019 wally <wally> 1.3.7-10.mga8
+ Revision: 1436784
- sync patches with Fedora
- rebuild for python3.8
- drop python2 support

* Sat Jan 05 2019 wally <wally> 1.3.7-9.mga7
+ Revision: 1349263
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3.7-8.mga7
+ Revision: 1289483
- Mageia 7 Mass Rebuild

* Mon Feb 19 2018 kekepower <kekepower> 1.3.7-7.mga7
+ Revision: 1203261
- Remove docs package
- Renamed python-nose to python2-nose
- Obsolete old named package

* Fri Sep 15 2017 tv <tv> 1.3.7-6.mga7
+ Revision: 1154422
- fix build by not manually compressing man pages with lzma
- fix SRPM creation due to bad %%py2_install call

* Thu Aug 03 2017 philippem <philippem> 1.3.7-5.mga7
+ Revision: 1134386
- rebuild for Python 3.6

* Wed May 25 2016 daviddavid <daviddavid> 1.3.7-4.mga6
+ Revision: 1018437
- fix testsuite build against new python-coverage 4.1 adding 'test_coverage_plugin'
- use new python macros

* Fri Feb 19 2016 umeabot <umeabot> 1.3.7-3.mga6
+ Revision: 970494
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 1.3.7-2.mga6
+ Revision: 886947
- disable python3 with python 3.5 like FC did
- rebuild for python 3.5

* Fri Aug 28 2015 philippem <philippem> 1.3.7-1.mga6
+ Revision: 870570
- update to 1.3.7

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-4.mga5
+ Revision: 742180
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.4-3.mga5
+ Revision: 729153
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 1.3.4-1.mga5
+ Revision: 669684
- update to 1.3.4

* Sun Jun 01 2014 pterjan <pterjan> 1.3.3-1.mga5
+ Revision: 629905
- Drop no longer needed line
- 1.3.3
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3.0-4.mga4
+ Revision: 543882
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.0-3.mga4
+ Revision: 498968
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 philippem <philippem> 1.3.0-2.mga4
+ Revision: 471676
- Various selftests fail on our build system; skip them for now

* Mon Jul 01 2013 philippem <philippem> 1.3.0-1.mga4
+ Revision: 449480
- update to 1.3.0

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-5.mga3
+ Revision: 379162
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 31 2011 dmorgan <dmorgan> 1.0.0-4.mga1
+ Revision: 45344
- Rebuild against python 2.7
+ pterjan <pterjan>
- Rebuild for python 2.7

* Thu Jan 13 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 8367
- drop the old %%py_requires macro and add BR python-devel
- imported package python-nose

